/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::test_map"
  bool Entity::test_map (bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
  
    log_printf(NONE,Behavioural,FUNCTION, " * Test mapping : Entity \"%s\"",_name.c_str());
  
    bool _return = _interfaces->test_map(top_level);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
